MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("QTMovie", true) To be added. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor, initializes a new instance of this class.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithPasteboard:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithData:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithAttributes:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initToWritableData:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithURL:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithDataReference:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithFile:error:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithMovie:timeRange:error:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieActiveSegmentAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addImage:forDuration:withAttributes:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieApertureModeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieApertureModeClassic To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieApertureModeClean To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for ApertureModeDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.ApertureModeDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.ApertureModeDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieApertureModeEncodedPixels To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieApertureModeProduction To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("appendSelectionFromMovie:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieAskUnresolvedDataRefsAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("attachToCurrentThread")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieAutoAlternatesAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("autoplay")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("canInitWithFile:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("canInitWithPasteboard:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("canInitWithURL:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("canUpdateMovieFile")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("chapterCount")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for ChapterDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.ChapterDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.ChapterDidChangeNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("chapterIndexForTime:")
  System.Int32 `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for ChapterListDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.ChapterListDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.ChapterListDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieChapterName To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("chapters")
  MonoMac.Foundation.NSDictionary[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieChapterStartTime To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieChapterTargetTrackAttribute To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for CloseWindowRequest NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.CloseWindowRequestNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.CloseWindowRequestNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieCopyrightAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieCreationTimeAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("currentFrameImage")
  MonoMac.AppKit.NSImage To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieCurrentSizeAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("currentTime")
  set: MonoMac.Foundation.Export("setCurrentTime:")
  MonoMac.QTKit.QTTime To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieCurrentTimeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDataAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDataReferenceAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDataSizeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDelegateAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("deleteSegment:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("detachFromCurrentThread")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for DidEnd NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.DidEndNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.DidEndNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDisplayNameAttribute To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the QTMovie object.

  This Dispose method releases the resources used by the QTMovie class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the QTMovie ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDontInteractWithUserAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("duration")
  MonoMac.QTKit.QTTime To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieDurationAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for EditabilityDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.EditabilityDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.EditabilityDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieEditableAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for Edited NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.EditedNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.EditedNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for EnterFullScreenRequest NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.EnterFullScreenRequestNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.EnterFullScreenRequestNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enterQTKitOnThread")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("enterQTKitOnThreadDisablingThreadSafetyProtection")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for ExitFullScreenRequest NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.ExitFullScreenRequestNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.ExitFullScreenRequestNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("exitQTKitOnThread")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFileNameAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFileOffsetAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("frameImageAtTime:")
  MonoMac.AppKit.NSImage `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("frameImageAtTime:withAttributes:error:")
  System.IntPtr `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageDeinterlaceFields To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageHighQuality To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageOpenGLContext To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImagePixelFormat To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageRepresentationsType To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageSingleField To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageSize To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageType To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageTypeCGImageRef To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageTypeCIImage To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageTypeCVOpenGLTextureRef To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageTypeCVPixelBufferRef To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieFrameImageTypeNSImage To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithAttributes:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithData:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithFile:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieNamed:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithPasteboard:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithTimeRange:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieWithURL:error:")
  MonoMac.QTKit.QTMovie `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("generateApertureModeDimensions")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("attributeForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gotoBeginning")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gotoEnd")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gotoNextSelectionPoint")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gotoPosterTime")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("gotoPreviousSelectionPoint")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieHasApertureModeDimensionsAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieHasAudioAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("hasChapters")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieHasDurationAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieHasVideoAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isIdling")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertEmptySegmentAt:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSegmentOfMovie:fromRange:scaledToRange:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSegmentOfMovie:timeRange:atTime:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSegmentOfTrack:fromRange:scaledToRange:")
  MonoMac.QTKit.QTTrack `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertSegmentOfTrack:timeRange:atTime:")
  MonoMac.QTKit.QTTrack `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("invalidate")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieIsActiveAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieIsInteractiveAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieIsLinearAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieIsSteppableAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieLoadStateAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for LoadStateDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.LoadStateDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.LoadStateDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for LoopModeDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.LoopModeDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.LoopModeDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieLoopsAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieLoopsBackAndForthAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieMessageNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.MessageNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.MessageNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for MessageStringPosted NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.MessageStringPostedNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.MessageStringPostedNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieModificationTimeAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("movie")
  MonoMac.QTKit.QTMovie To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("movieAttributes")
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieFileTypes:")
  System.String[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieFormatRepresentation")
  MonoMac.Foundation.NSData To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieTypesWithOptions:")
  System.String[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieUnfilteredFileTypes")
  System.String[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("movieUnfilteredPasteboardTypes")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("muted")
  set: MonoMac.Foundation.Export("setMuted:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieMutedAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieNaturalSizeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieOpenAsyncOKAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePasteboardAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePasteboardType To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("play")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePlaysAllFramesAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePlaysSelectionOnlyAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("posterImage")
  MonoMac.AppKit.NSImage To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePosterTimeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePreferredMutedAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePreferredRateAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePreferredVolumeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePreviewModeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMoviePreviewRangeAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("rate")
  set: MonoMac.Foundation.Export("setRate:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieRateAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieRateChangesPreservePitchAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for RateDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.RateDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.RateDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieRateDidChangeNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.RateDidChangeNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.RateDidChangeNotificationParameter, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeApertureModeDimensions")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeChapters")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeTrack:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("replaceSelectionWithSelectionFromMovie:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieResolveDataRefsAttribute To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("writeToFile:withAttributes:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("writeToFile:withAttributes:error:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("scaleSegment:newDuration:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieSelectionAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for SelectionDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.SelectionDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.SelectionDidChangeNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectionDuration")
  MonoMac.QTKit.QTTime To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectionEnd")
  MonoMac.QTKit.QTTime To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectionStart")
  MonoMac.QTKit.QTTime To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setAttribute:forKey:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setSelection:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for SizeDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.SizeDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.SizeDidChangeNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("startTimeOfChapter:")
  MonoMac.QTKit.QTTime `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieStatusCodeNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.StatusCodeNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.StatusCodeNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieStatusFlagsNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.StatusFlagsNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.StatusFlagsNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieStatusStringNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.StatusStringNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.StatusStringNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for StatusStringPosted NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.StatusStringPostedNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.StatusStringPostedNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("stepBackward")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("stepForward")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("stop")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieTargetIDNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.TargetIDNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.TargetIDNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieTargetNameNotificationParameter NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.TargetNameNotificationParameter, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.TargetNameNotificationParameter, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for TimeDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.TimeDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.TimeDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieTimeScaleAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("tracks")
  MonoMac.QTKit.QTTrack[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("tracksOfMediaType:")
  MonoMac.QTKit.QTTrack[] `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieUneditableException To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("updateMovieFile")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieURLAttribute To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("volume")
  set: MonoMac.Foundation.Export("setVolume:")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant QTMovieVolumeAttribute To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for VolumeDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( QTMovie.VolumeDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification QTMovie", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification QTMovie", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (QTMovie.VolumeDidChangeNotification, Callback); }`
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate")
  set: MonoMac.Foundation.Export("setDelegate:")
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type

  The instance that will respond to events and data requests.

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.